Bug 132667 - alsa sound driver not working module via82xx
alsa sound driver not working module via82xx
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 13:54 EDT by Andrew Calcott
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:46:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Calcott 2004-09-15 13:54:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
I realise there are quite a few threads in various places devoted to
this particular topic, but after trawling them and trying everything I
could find, I have come to the conclusion that it is a rather esoteric
problem as OSS works fine, but alsa doesn't work at all.


kernel is:  2.6.8-1.521
soundcard is: onboard via Realtek VT8233/A/8235/8237


When trying to run alsamixer, the following error is displayed:

alsamixer: function snd_ctl_open failed for default: No such device


My /etc/modules.conf is set as such:

alias snd-slot-0 snd-via82xx <------- I have also tried this with
snd-card-0

install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-via82xx { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-via82xx


lsmod output:

Module                  Size  Used by
snd_via82xx            27812  0
snd_ac97_codec         63952  1 snd_via82xx
snd_pcm                90632  1 snd_via82xx
snd_timer              29188  1 snd_pcm
snd_page_alloc          9736  2 snd_via82xx,snd_pcm
gameport                4033  1 snd_via82xx
snd_mpu401_uart         9216  1 snd_via82xx
snd_rawmidi            25636  1 snd_mpu401_uart
snd_seq_device          8200  1 snd_rawmidi
snd                    51428  7
snd_via82xx,snd_ac97_codec,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               7713  1 snd
osslinux             1707932  0
parport_pc             21249  1
lp                      9133  0
parport                35977  2 parport_pc,lp
autofs4                20677  0
sunrpc                141861  1
via_rhine              19273  0
mii                     3777  1 via_rhine
ipt_REJECT              5057  1
ipt_state               1857  6
ip_conntrack           25569  1 ipt_state
iptable_filter          2369  1
ip_tables              13889  3 ipt_REJECT,ipt_state,iptable_filter
floppy                 54001  0
sg                     28513  0
vfat                   12481  2
fat                    39393  1 vfat
dm_mod                 47317  0
sd_mod                 17473  2
usb_storage            58121  1
scsi_mod              105360  3 sg,sd_mod,usb_storage
uhci_hcd               28505  0
ehci_hcd               27973  0
button                  4825  0
battery                 7117  0
asus_acpi               9177  0
ac                      3533  0
ext3                   96937  2
jbd                    66521  1 ext3


And lspci produces:

00:00.0 Host bridge: VIA Technologies, Inc. VT8378 [KM400] Chipset
Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
00:05.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 02)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II]
(rev 74)
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2
MX/MX 400] (rev b2)

Let me know if you'd like any more outputs (and how to do them... I'm
kinda new to this).





Version-Release number of selected component (if applicable):
alsa-lib-1.0.6

How reproducible:
Always

Steps to Reproduce:
1.Boot Fedora
2.
3.
    

Additional info:
Comment 1 Dave Jones 2005-04-16 01:46:30 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.